#Recycleable Fuel Rods

After a mini fusion power station burning a deuteron fuel rod (or an artificial star burning an antimatter fuel rod), it will produce an empty deuteron fuel rod (or an empty antimatter fuel rod) back. You can use that to make new full rod by only adding fuels in empty rods.

New recipes:
Deuteron fuel rod reperfusion: 1 Empty deuteron fuel rod + 10 Deuterium -> 1 Deuteron fuel rod
Antimatter fuel rod reperfusion: 1 Empty antimatter fuel rod + 10 Antimatter + 10 Hydrogen -> 1 Antimatter fuel rod

There are something that you need to know:
--This mod only works on mini fusion power station and artificial star, it doesn't work on the fuel rods burnt in your fuel chamber.
--This mod won't work on Hydrogen fuel rods. (It's not worth to add a new item and the Thermal power stations do not usually use Hydrogen fuel rods.)
--After installing this mod, the mini fusion power station and artificial star can only storage one fuel rod (full or empty) now (if by sorter). If you put more than one rods by your hand, the full-fuel rods will not become empty rods except for the last one.
--In that case, you can no longer build power stations side by side, each power station can only get fuel from the conveyor belt, but not from other power stations. And in order to take out the empty fuel rods, you also need to build conveyor belts to transport the empty fuel rods away (but not necessary, see the next note) .
--To prevent the power station from being unable to receive new fuel rod due to the blockage of empty fuel rods, If a power station ran out off fuel inside, and there is still empty rod which have not been taken away, The power station will still accept new full-fuel rod, but the original empty rod will disappear.
--There are no recipe which crafts the empty rod. You can only get them by burning full-fuel rods in power station.

### Installation

1. Install BepInEx.
2. Install LDBTool. (You must have this mod!) Thanks to xiaoye97 for providing such convenient tools.
3. Drag RecycleableFuelRod.dll into "Dyson Sphere Program/BepInEx/plugins/"

### Mod conflicts

Problems may arise when other mods that create new items/recipes use the following IDs:
RecipeProto.ID: 458,459
ItemProto.ID: 9451,9452
StringProto.ID: 10559 - 10566

Problems may arise when other mods that create new items/recipes use the following GridIndex:
1606,1607 / 1611,1612

#ChangeLog

v1.0.1: Fix a bug that may cause the abnormal consumption speed (5x) of the fuel rods.

#可回收燃料棒

在一个迷你聚变发电站（或小太阳）开始烧一个氘核燃料棒（或一个反物质燃料棒）时，它会产出一个空的氘核燃料棒（或一个空的反物质燃料棒）。你可以用这个空的燃料棒，通过添加燃料制作新的燃料棒。

新配方如下：
氘核燃料棒再灌注：1空的氘核燃料棒 + 10氢气 -> 1氘核燃料棒
反物质燃料棒再灌注：1空的反物质燃料棒 + 10反物质 + 10 氢气 -> 1反物质燃料棒

以下事项望知悉：
--这个mod只对迷你聚变发电站和小太阳起作用，你放到自己的燃烧室里面的燃料棒不会收这个mod的影响而产生的空燃料棒。
--这个mod对液氢燃料棒不起作用，因为本身已经成本很低，而且燃烧发电站一般也不用这种燃料。
--安装这个mod后，迷你聚变发电站和小太阳最多只能储存一个燃料棒（或一个空的燃料棒），如果是被分拣器抓进来的话。如果你非要手动一下子塞入多个燃料棒，那么这些燃料棒都不能产生空的燃料棒，除了最后一个。
--在这种情况下，你不再能并排建造发电站，每一个发电站都只能从传送带上获取燃料，而不能从其他发电站获取燃料。而且为了取出空的燃料棒，你还需要配置一条输出传送带将空的燃料棒运走（但不是必须的，见下一条）。
--为了防止空燃料棒堵塞导致发电站无法接受新的燃料棒，如果发电站内部的燃料被消耗干净，而空燃料棒仍然没有被运走，发电站还是会接受新的满燃料棒，但是上次的空燃料棒会消失掉。
--没有配方可以制造空的燃料棒，你只能通过在发电站里面消耗满的燃料棒来获得空的。

### 安装

1. 安装 BepInEx框架. 
2. 安装 LDBTool. （必须安装这个mod）感谢宵夜97提供了方便的工具。
3. 将RecycleableFuelRod.dll放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内

###Mod冲突

当其他创造新物品/配方的mod使用了以下ID时，可能会产生问题：
RecipeProto.ID: 458,459
ItemProto.ID: 9451,9452
StringProto.ID: 10559 - 10566
当其他创造新物品/配方的mod使用了以下位置时，可能会产生问题：
1606,1607 / 1611,1612

###更新

v1.0.1: 修复一个bug，该bug曾导致发电站以5倍的速度消耗燃料棒。